Download it now!
Bug 128191 - Show Infobar when hyphenation info is missing for current locale
Summary: Show Infobar when hyphenation info is missing for current locale
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.4.0.0.alpha1+
Hardware: All All
: low enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:7.0.0 target:6.4.0.1
Keywords:
Depends on:
Blocks: Infobar
  Show dependency treegraph
 
Reported: 2019-10-17 08:05 UTC by Samuel Mehrbrodt (CIB)
Modified: 2020-02-29 11:46 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Prior art — Poedit alerting of missing dictionary for the active locale (59.79 KB, image/png)
2019-10-17 10:47 UTC, Adolfo Jayme
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Samuel Mehrbrodt (CIB) 2019-10-17 08:05:27 UTC
See bug 121657 for background and test document.
An Infobar should be shown when a document can't be formatted correctly due to missing hyphenation information.

A similiar message is shown already when going to Tools->Language->Hyphenation.
Comment 1 Adolfo Jayme 2019-10-17 10:47:21 UTC
Created attachment 155071 [details]
Prior art — Poedit alerting of missing dictionary for the active locale

Good idea; there is precedent for this feature in e.g. Poedit.
Comment 2 Adolfo Jayme 2019-11-29 12:01:59 UTC
In your patch [1], maybe use the word “data” instead of “info”? It’s just as short but more proper.

[1]: https://gerrit.libreoffice.org/83161
Comment 3 Commit Notification 2019-12-06 17:36:22 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/506d8f1792cd004d97c6d3e84c21da10e68adf08

tdf#128191 Show infobar when hyphenation info for text language is missing

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Samuel Mehrbrodt (CIB) 2019-12-06 17:37:33 UTC
(In reply to Adolfo Jayme from comment #2)
> In your patch [1], maybe use the word “data” instead of “info”? It’s just as
> short but more proper.
> 
> [1]: https://gerrit.libreoffice.org/83161

Ah sorry missed that. Feel free to change the string in a follow up patch.
Comment 5 Commit Notification 2019-12-13 12:08:17 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/c434fc0d181f098a179c6dc9d1506fa806d579f1

tdf#128191 Show infobar when hyphenation info for text language is missing

It will be available in 6.4.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2020-02-27 03:11:22 UTC
Adolfo Jayme Barrientos committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/64cfe0c8ae0d69981f381255acbabfe38ac61fb5

Related: tdf#128191 tdf#130862 Use whole words in lieu of clippings in UI strings

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.